public static final class DaiSession.HttpRequest.Builder extends GeneratedMessage.Builder<DaiSession.HttpRequest.Builder> implements DaiSession.HttpRequestOrBuilderAn HTTP request made by DAI.
Protobuf type google.ads.admanager.v1.DaiSession.HttpRequest
Inheritance
java.lang.Object > AbstractMessageLite.Builder<MessageType,BuilderType> > AbstractMessage.Builder<BuilderType> > GeneratedMessage.Builder > DaiSession.HttpRequest.BuilderImplements
DaiSession.HttpRequestOrBuilderStatic Methods
getDescriptor()
public static final Descriptors.Descriptor getDescriptor()| Returns | |
|---|---|
| Type | Description |
Descriptor |
|
Methods
build()
public DaiSession.HttpRequest build()| Returns | |
|---|---|
| Type | Description |
DaiSession.HttpRequest |
|
buildPartial()
public DaiSession.HttpRequest buildPartial()| Returns | |
|---|---|
| Type | Description |
DaiSession.HttpRequest |
|
clear()
public DaiSession.HttpRequest.Builder clear()| Returns | |
|---|---|
| Type | Description |
DaiSession.HttpRequest.Builder |
|
clearLatency()
public DaiSession.HttpRequest.Builder clearLatency()Output only. How long the request took to complete.
.google.protobuf.Duration latency = 2 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Returns | |
|---|---|
| Type | Description |
DaiSession.HttpRequest.Builder |
|
clearRequestTime()
public DaiSession.HttpRequest.Builder clearRequestTime()Output only. The time when the request was made.
.google.protobuf.Timestamp request_time = 1 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Returns | |
|---|---|
| Type | Description |
DaiSession.HttpRequest.Builder |
|
clearResponseBody()
public DaiSession.HttpRequest.Builder clearResponseBody()Output only. The full response body.
optional string response_body = 6 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Returns | |
|---|---|
| Type | Description |
DaiSession.HttpRequest.Builder |
This builder for chaining. |
clearResponseCode()
public DaiSession.HttpRequest.Builder clearResponseCode()Output only. The HTTP response code.
optional int32 response_code = 5 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Returns | |
|---|---|
| Type | Description |
DaiSession.HttpRequest.Builder |
This builder for chaining. |
clearUrl()
public DaiSession.HttpRequest.Builder clearUrl()Output only. The URL sent in the request.
optional string url = 3 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Returns | |
|---|---|
| Type | Description |
DaiSession.HttpRequest.Builder |
This builder for chaining. |
clearUserAgent()
public DaiSession.HttpRequest.Builder clearUserAgent()Output only. The user agent sent with the request.
optional string user_agent = 4 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Returns | |
|---|---|
| Type | Description |
DaiSession.HttpRequest.Builder |
This builder for chaining. |
getDefaultInstanceForType()
public DaiSession.HttpRequest getDefaultInstanceForType()| Returns | |
|---|---|
| Type | Description |
DaiSession.HttpRequest |
|
getDescriptorForType()
public Descriptors.Descriptor getDescriptorForType()| Returns | |
|---|---|
| Type | Description |
Descriptor |
|
getLatency()
public Duration getLatency()Output only. How long the request took to complete.
.google.protobuf.Duration latency = 2 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Returns | |
|---|---|
| Type | Description |
Duration |
The latency. |
getLatencyBuilder()
public Duration.Builder getLatencyBuilder()Output only. How long the request took to complete.
.google.protobuf.Duration latency = 2 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Returns | |
|---|---|
| Type | Description |
Builder |
|
getLatencyOrBuilder()
public DurationOrBuilder getLatencyOrBuilder()Output only. How long the request took to complete.
.google.protobuf.Duration latency = 2 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Returns | |
|---|---|
| Type | Description |
DurationOrBuilder |
|
getRequestTime()
public Timestamp getRequestTime()Output only. The time when the request was made.
.google.protobuf.Timestamp request_time = 1 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Returns | |
|---|---|
| Type | Description |
Timestamp |
The requestTime. |
getRequestTimeBuilder()
public Timestamp.Builder getRequestTimeBuilder()Output only. The time when the request was made.
.google.protobuf.Timestamp request_time = 1 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Returns | |
|---|---|
| Type | Description |
Builder |
|
getRequestTimeOrBuilder()
public TimestampOrBuilder getRequestTimeOrBuilder()Output only. The time when the request was made.
.google.protobuf.Timestamp request_time = 1 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Returns | |
|---|---|
| Type | Description |
TimestampOrBuilder |
|
getResponseBody()
public String getResponseBody()Output only. The full response body.
optional string response_body = 6 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Returns | |
|---|---|
| Type | Description |
String |
The responseBody. |
getResponseBodyBytes()
public ByteString getResponseBodyBytes()Output only. The full response body.
optional string response_body = 6 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for responseBody. |
getResponseCode()
public int getResponseCode()Output only. The HTTP response code.
optional int32 response_code = 5 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Returns | |
|---|---|
| Type | Description |
int |
The responseCode. |
getUrl()
public String getUrl()Output only. The URL sent in the request.
optional string url = 3 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Returns | |
|---|---|
| Type | Description |
String |
The url. |
getUrlBytes()
public ByteString getUrlBytes()Output only. The URL sent in the request.
optional string url = 3 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for url. |
getUserAgent()
public String getUserAgent()Output only. The user agent sent with the request.
optional string user_agent = 4 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Returns | |
|---|---|
| Type | Description |
String |
The userAgent. |
getUserAgentBytes()
public ByteString getUserAgentBytes()Output only. The user agent sent with the request.
optional string user_agent = 4 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for userAgent. |
hasLatency()
public boolean hasLatency()Output only. How long the request took to complete.
.google.protobuf.Duration latency = 2 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the latency field is set. |
hasRequestTime()
public boolean hasRequestTime()Output only. The time when the request was made.
.google.protobuf.Timestamp request_time = 1 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the requestTime field is set. |
hasResponseBody()
public boolean hasResponseBody()Output only. The full response body.
optional string response_body = 6 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the responseBody field is set. |
hasResponseCode()
public boolean hasResponseCode()Output only. The HTTP response code.
optional int32 response_code = 5 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the responseCode field is set. |
hasUrl()
public boolean hasUrl()Output only. The URL sent in the request.
optional string url = 3 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the url field is set. |
hasUserAgent()
public boolean hasUserAgent()Output only. The user agent sent with the request.
optional string user_agent = 4 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the userAgent field is set. |
internalGetFieldAccessorTable()
protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()| Returns | |
|---|---|
| Type | Description |
FieldAccessorTable |
|
isInitialized()
public final boolean isInitialized()| Returns | |
|---|---|
| Type | Description |
boolean |
|
mergeFrom(DaiSession.HttpRequest other)
public DaiSession.HttpRequest.Builder mergeFrom(DaiSession.HttpRequest other)| Parameter | |
|---|---|
| Name | Description |
other |
DaiSession.HttpRequest |
| Returns | |
|---|---|
| Type | Description |
DaiSession.HttpRequest.Builder |
|
mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)
public DaiSession.HttpRequest.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)| Parameters | |
|---|---|
| Name | Description |
input |
CodedInputStream |
extensionRegistry |
ExtensionRegistryLite |
| Returns | |
|---|---|
| Type | Description |
DaiSession.HttpRequest.Builder |
|
| Exceptions | |
|---|---|
| Type | Description |
IOException |
|
mergeFrom(Message other)
public DaiSession.HttpRequest.Builder mergeFrom(Message other)| Parameter | |
|---|---|
| Name | Description |
other |
Message |
| Returns | |
|---|---|
| Type | Description |
DaiSession.HttpRequest.Builder |
|
mergeLatency(Duration value)
public DaiSession.HttpRequest.Builder mergeLatency(Duration value)Output only. How long the request took to complete.
.google.protobuf.Duration latency = 2 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Parameter | |
|---|---|
| Name | Description |
value |
Duration |
| Returns | |
|---|---|
| Type | Description |
DaiSession.HttpRequest.Builder |
|
mergeRequestTime(Timestamp value)
public DaiSession.HttpRequest.Builder mergeRequestTime(Timestamp value)Output only. The time when the request was made.
.google.protobuf.Timestamp request_time = 1 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Parameter | |
|---|---|
| Name | Description |
value |
Timestamp |
| Returns | |
|---|---|
| Type | Description |
DaiSession.HttpRequest.Builder |
|
setLatency(Duration value)
public DaiSession.HttpRequest.Builder setLatency(Duration value)Output only. How long the request took to complete.
.google.protobuf.Duration latency = 2 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Parameter | |
|---|---|
| Name | Description |
value |
Duration |
| Returns | |
|---|---|
| Type | Description |
DaiSession.HttpRequest.Builder |
|
setLatency(Duration.Builder builderForValue)
public DaiSession.HttpRequest.Builder setLatency(Duration.Builder builderForValue)Output only. How long the request took to complete.
.google.protobuf.Duration latency = 2 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Parameter | |
|---|---|
| Name | Description |
builderForValue |
Builder |
| Returns | |
|---|---|
| Type | Description |
DaiSession.HttpRequest.Builder |
|
setRequestTime(Timestamp value)
public DaiSession.HttpRequest.Builder setRequestTime(Timestamp value)Output only. The time when the request was made.
.google.protobuf.Timestamp request_time = 1 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Parameter | |
|---|---|
| Name | Description |
value |
Timestamp |
| Returns | |
|---|---|
| Type | Description |
DaiSession.HttpRequest.Builder |
|
setRequestTime(Timestamp.Builder builderForValue)
public DaiSession.HttpRequest.Builder setRequestTime(Timestamp.Builder builderForValue)Output only. The time when the request was made.
.google.protobuf.Timestamp request_time = 1 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Parameter | |
|---|---|
| Name | Description |
builderForValue |
Builder |
| Returns | |
|---|---|
| Type | Description |
DaiSession.HttpRequest.Builder |
|
setResponseBody(String value)
public DaiSession.HttpRequest.Builder setResponseBody(String value)Output only. The full response body.
optional string response_body = 6 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Parameter | |
|---|---|
| Name | Description |
value |
StringThe responseBody to set. |
| Returns | |
|---|---|
| Type | Description |
DaiSession.HttpRequest.Builder |
This builder for chaining. |
setResponseBodyBytes(ByteString value)
public DaiSession.HttpRequest.Builder setResponseBodyBytes(ByteString value)Output only. The full response body.
optional string response_body = 6 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Parameter | |
|---|---|
| Name | Description |
value |
ByteStringThe bytes for responseBody to set. |
| Returns | |
|---|---|
| Type | Description |
DaiSession.HttpRequest.Builder |
This builder for chaining. |
setResponseCode(int value)
public DaiSession.HttpRequest.Builder setResponseCode(int value)Output only. The HTTP response code.
optional int32 response_code = 5 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Parameter | |
|---|---|
| Name | Description |
value |
intThe responseCode to set. |
| Returns | |
|---|---|
| Type | Description |
DaiSession.HttpRequest.Builder |
This builder for chaining. |
setUrl(String value)
public DaiSession.HttpRequest.Builder setUrl(String value)Output only. The URL sent in the request.
optional string url = 3 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Parameter | |
|---|---|
| Name | Description |
value |
StringThe url to set. |
| Returns | |
|---|---|
| Type | Description |
DaiSession.HttpRequest.Builder |
This builder for chaining. |
setUrlBytes(ByteString value)
public DaiSession.HttpRequest.Builder setUrlBytes(ByteString value)Output only. The URL sent in the request.
optional string url = 3 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Parameter | |
|---|---|
| Name | Description |
value |
ByteStringThe bytes for url to set. |
| Returns | |
|---|---|
| Type | Description |
DaiSession.HttpRequest.Builder |
This builder for chaining. |
setUserAgent(String value)
public DaiSession.HttpRequest.Builder setUserAgent(String value)Output only. The user agent sent with the request.
optional string user_agent = 4 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Parameter | |
|---|---|
| Name | Description |
value |
StringThe userAgent to set. |
| Returns | |
|---|---|
| Type | Description |
DaiSession.HttpRequest.Builder |
This builder for chaining. |
setUserAgentBytes(ByteString value)
public DaiSession.HttpRequest.Builder setUserAgentBytes(ByteString value)Output only. The user agent sent with the request.
optional string user_agent = 4 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Parameter | |
|---|---|
| Name | Description |
value |
ByteStringThe bytes for userAgent to set. |
| Returns | |
|---|---|
| Type | Description |
DaiSession.HttpRequest.Builder |
This builder for chaining. |